Skip to main content
POST
Asset Plug In Event

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

asset_id
string<uuid>
required

Body

application/json

A minimal plug-in event requires no data. Optionally intent, tariff and vehicle information can be supplied here too.

occurred_at
string<date-time>

When the event occurred, with a UTC offset.

external_session_id
string

Your ID for the charging session.

intent
Intent · object

This is the received intent from a user

Example:
vehicle
Vehicle · object

Vehicle information.

Example:
tariff
Tariff · object

Tariff information.

Example:

Response

Plug-in event successfully processed